<div class="danh-sach-nv-grid">
    <div class="d-flex align-items-center">
        <strong>Danh sách nhân viên{{cty ? ': công ty ' + cty : ''}}</strong>
        <button (click)="reLoad()" matTooltip="Làm mới danh sách" class="btn btn-light ml-2"><i class="fas fa-sync-alt text-secondary"></i></button>
        <button routerLink="./tao-moi" routerLinkActive="router-link-active"  mat-stroked-button color="primary" class="rounded-pill ml-auto"><mat-icon class="mr-1">playlist_add</mat-icon> Import</button>
        <button routerLink="./tao-moi" routerLinkActive="router-link-active"  mat-stroked-button color="primary" class="rounded-pill ml-3"><mat-icon class="mr-1">playlist_play</mat-icon> Export</button>
        <button routerLink="./tao-moi" [queryParams]="{cty: cty, chi_nhanh: chiNhanh}" routerLinkActive="router-link-active"  mat-raised-button color="primary" class="rounded-pill px-5 ml-3"><mat-icon class="mr-2">person_add</mat-icon> Thêm mới</button>
    </div>
    
    <div class="row mt-4">
        <div class="col-auto pr-0">
            <mat-form-field color="primary">
                <mat-label>Lọc theo</mat-label>
                <mat-select #filterClass value="id" (selectionChange)="applyFilter(filterKey.value, filterClass.value)">
                    <mat-option value="id">Mã</mat-option>
                    <mat-option value="name">Tên nhân viên</mat-option>
                    <mat-option value="acc_id">Tên đăng nhập</mat-option>
                    <mat-option value="email">Email</mat-option>
                    <mat-option value="phone">Số điện thoại</mat-option>
                    <mat-option value="role">Nhóm quyền</mat-option>
                </mat-select>
            </mat-form-field>
        </div>
        <div class="col pl-0">
            <mat-form-field color="primary" class="w-100">
                <mat-label class="pl-3">Nhập từ khóa</mat-label>
                <input class="pl-3" matInput (keyup)="applyFilter(filterKey.value, filterClass.value)" #filterKey placeholder="Dùng tiếng việt có dấu để tìm kiếm">
                <!-- <mat-icon class="mx-3" matPrefix>search</mat-icon> -->
            </mat-form-field>
        </div>
    </div>
    
    <div class="nhan-vien-table w-100">
        
        <table mat-table [dataSource]="dataSource" matSort class="w-100">
            
            <!-- ID Column -->
            <ng-container matColumnDef="id">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Mã </th>
                <td mat-cell *matCellDef="let row" class="text-uppercase"> {{row.id}} </td>
            </ng-container>
            
            <!-- Name Column -->
            <ng-container matColumnDef="name">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Tên nhân viên </th>
                <td mat-cell *matCellDef="let row"> {{row.name}} </td>
            </ng-container>
            
            <ng-container matColumnDef="acc_id">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Tên đăng nhập </th>
                <td mat-cell *matCellDef="let row"> {{row.acc_id}} </td>
            </ng-container>
            
            <ng-container matColumnDef="role">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Nhóm quyền </th>
                <td mat-cell *matCellDef="let row" class="text-truncate text-capitalize" matTooltip="{{row.role}}" matTooltipPosition="left"> 
                    <span *ngFor="let role of row.role" class="text-role">{{role}}</span> 
                </td>
            </ng-container>
            
            <!-- Address Column -->
            <ng-container matColumnDef="gender">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Giới tính </th>
                <td mat-cell *matCellDef="let row"> {{row.gender}} </td>
            </ng-container>
            
            <!-- Tax code Column -->
            <ng-container matColumnDef="phone">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Số điện thoại </th>
                <td mat-cell *matCellDef="let row" class="text-truncate"> {{row.phone}} </td>
            </ng-container>
            
            <!-- Partner type Column -->
            <ng-container matColumnDef="email">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Email </th>
                <td mat-cell *matCellDef="let row"> <a href="mailto:{{row.email}}" class="text-dark text-lowercase">{{row.email}}</a> </td>
            </ng-container>
            
            <!-- Created by Column -->
            <ng-container matColumnDef="active">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Trạng thái </th>
                <td mat-cell *matCellDef="let row">
                    <span class="text-truncate text-success alert alert-success border-0 rounded p-2" *ngIf="row.active">Hoạt động</span>
                    <span class="text-truncate text-secondary alert alert-secondary border-0 rounded p-2" *ngIf="!row.active">Tạm dừng</span>
                </td>
            </ng-container>
            
            <!-- Created at Column -->
            <ng-container matColumnDef="created_at">
                <th mat-header-cell *matHeaderCellDef mat-sort-header> Ngày tạo </th>
                <td mat-cell *matCellDef="let row"> {{row.created_at | date: 'dd/MM/yyyy'}}</td>
            </ng-container>
            
            <ng-container matColumnDef="action">
                <th mat-header-cell *matHeaderCellDef></th>
                <td mat-cell *matCellDef="let row" class="text-right pr-0">
                    <button mat-button color="warn" matTooltip="Sửa"><mat-icon class="small">edit</mat-icon></button>
                    <button mat-button color="warn" matTooltip="Xóa"><mat-icon class="small">delete</mat-icon></button>  
                </td>
            </ng-container>
            
            <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
            <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
        </table>
    </div>
    
    <mat-paginator [pageSizeOptions]="[15, 25, 50, 100]"></mat-paginator>
</div>